# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PageSupervisorNamespaceContent(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'address': 'str',
        'cluster': 'str',
        'cpu_used': 'int',
        'created_millis': 'int',
        'custom_properties': 'dict(str, str)',
        'description': 'str',
        'document_self_link': 'str',
        'edit_groups': 'str',
        'edit_users': 'str',
        'endpoint_link': 'str',
        'external_link': 'str',
        'id': 'str',
        'installer_id': 'str',
        'memory_used': 'int',
        'name': 'str',
        'owner': 'str',
        'owner_groups': 'str',
        'owner_users': 'str',
        'project_id': 'str',
        'registered': 'bool',
        'resource_quotas': 'list[CmxapiresourcessupervisornamespacesnamespaceSelfLinkIdregisterResourceQuotas]',
        'self_link_id': 'str',
        'status': 'str',
        'status_message': 'str',
        'storage_policies': 'list[CmxapiresourcessupervisornamespacesStoragePolicies]',
        'storage_used': 'int',
        'type': 'str',
        'updated_millis': 'int',
        'utilisation': 'dict(str, str)',
        'view_groups': 'str',
        'view_users': 'str'
    }

    attribute_map = {
        'address': 'address',
        'cluster': 'cluster',
        'cpu_used': 'cpuUsed',
        'created_millis': 'createdMillis',
        'custom_properties': 'customProperties',
        'description': 'description',
        'document_self_link': 'documentSelfLink',
        'edit_groups': 'editGroups',
        'edit_users': 'editUsers',
        'endpoint_link': 'endpointLink',
        'external_link': 'externalLink',
        'id': 'id',
        'installer_id': 'installerId',
        'memory_used': 'memoryUsed',
        'name': 'name',
        'owner': 'owner',
        'owner_groups': 'ownerGroups',
        'owner_users': 'ownerUsers',
        'project_id': 'projectId',
        'registered': 'registered',
        'resource_quotas': 'resourceQuotas',
        'self_link_id': 'selfLinkId',
        'status': 'status',
        'status_message': 'statusMessage',
        'storage_policies': 'storagePolicies',
        'storage_used': 'storageUsed',
        'type': 'type',
        'updated_millis': 'updatedMillis',
        'utilisation': 'utilisation',
        'view_groups': 'viewGroups',
        'view_users': 'viewUsers'
    }

    def __init__(self, address=None, cluster=None, cpu_used=None, created_millis=None, custom_properties=None, description=None, document_self_link=None, edit_groups=None, edit_users=None, endpoint_link=None, external_link=None, id=None, installer_id=None, memory_used=None, name=None, owner=None, owner_groups=None, owner_users=None, project_id=None, registered=None, resource_quotas=None, self_link_id=None, status=None, status_message=None, storage_policies=None, storage_used=None, type=None, updated_millis=None, utilisation=None, view_groups=None, view_users=None):  # noqa: E501
        """PageSupervisorNamespaceContent - a model defined in Swagger"""  # noqa: E501
        self._address = None
        self._cluster = None
        self._cpu_used = None
        self._created_millis = None
        self._custom_properties = None
        self._description = None
        self._document_self_link = None
        self._edit_groups = None
        self._edit_users = None
        self._endpoint_link = None
        self._external_link = None
        self._id = None
        self._installer_id = None
        self._memory_used = None
        self._name = None
        self._owner = None
        self._owner_groups = None
        self._owner_users = None
        self._project_id = None
        self._registered = None
        self._resource_quotas = None
        self._self_link_id = None
        self._status = None
        self._status_message = None
        self._storage_policies = None
        self._storage_used = None
        self._type = None
        self._updated_millis = None
        self._utilisation = None
        self._view_groups = None
        self._view_users = None
        self.discriminator = None
        if address is not None:
            self.address = address
        if cluster is not None:
            self.cluster = cluster
        if cpu_used is not None:
            self.cpu_used = cpu_used
        if created_millis is not None:
            self.created_millis = created_millis
        if custom_properties is not None:
            self.custom_properties = custom_properties
        if description is not None:
            self.description = description
        if document_self_link is not None:
            self.document_self_link = document_self_link
        if edit_groups is not None:
            self.edit_groups = edit_groups
        if edit_users is not None:
            self.edit_users = edit_users
        if endpoint_link is not None:
            self.endpoint_link = endpoint_link
        if external_link is not None:
            self.external_link = external_link
        if id is not None:
            self.id = id
        if installer_id is not None:
            self.installer_id = installer_id
        if memory_used is not None:
            self.memory_used = memory_used
        if name is not None:
            self.name = name
        if owner is not None:
            self.owner = owner
        if owner_groups is not None:
            self.owner_groups = owner_groups
        if owner_users is not None:
            self.owner_users = owner_users
        if project_id is not None:
            self.project_id = project_id
        if registered is not None:
            self.registered = registered
        if resource_quotas is not None:
            self.resource_quotas = resource_quotas
        if self_link_id is not None:
            self.self_link_id = self_link_id
        if status is not None:
            self.status = status
        if status_message is not None:
            self.status_message = status_message
        if storage_policies is not None:
            self.storage_policies = storage_policies
        if storage_used is not None:
            self.storage_used = storage_used
        if type is not None:
            self.type = type
        if updated_millis is not None:
            self.updated_millis = updated_millis
        if utilisation is not None:
            self.utilisation = utilisation
        if view_groups is not None:
            self.view_groups = view_groups
        if view_users is not None:
            self.view_users = view_users

    @property
    def address(self):
        """Gets the address of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The address of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._address

    @address.setter
    def address(self, address):
        """Sets the address of this PageSupervisorNamespaceContent.


        :param address: The address of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._address = address

    @property
    def cluster(self):
        """Gets the cluster of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The cluster of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._cluster

    @cluster.setter
    def cluster(self, cluster):
        """Sets the cluster of this PageSupervisorNamespaceContent.


        :param cluster: The cluster of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._cluster = cluster

    @property
    def cpu_used(self):
        """Gets the cpu_used of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The cpu_used of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: int
        """
        return self._cpu_used

    @cpu_used.setter
    def cpu_used(self, cpu_used):
        """Sets the cpu_used of this PageSupervisorNamespaceContent.


        :param cpu_used: The cpu_used of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: int
        """

        self._cpu_used = cpu_used

    @property
    def created_millis(self):
        """Gets the created_millis of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The created_millis of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: int
        """
        return self._created_millis

    @created_millis.setter
    def created_millis(self, created_millis):
        """Sets the created_millis of this PageSupervisorNamespaceContent.


        :param created_millis: The created_millis of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: int
        """

        self._created_millis = created_millis

    @property
    def custom_properties(self):
        """Gets the custom_properties of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The custom_properties of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: dict(str, str)
        """
        return self._custom_properties

    @custom_properties.setter
    def custom_properties(self, custom_properties):
        """Sets the custom_properties of this PageSupervisorNamespaceContent.


        :param custom_properties: The custom_properties of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: dict(str, str)
        """

        self._custom_properties = custom_properties

    @property
    def description(self):
        """Gets the description of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The description of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this PageSupervisorNamespaceContent.


        :param description: The description of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def document_self_link(self):
        """Gets the document_self_link of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The document_self_link of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._document_self_link

    @document_self_link.setter
    def document_self_link(self, document_self_link):
        """Sets the document_self_link of this PageSupervisorNamespaceContent.


        :param document_self_link: The document_self_link of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._document_self_link = document_self_link

    @property
    def edit_groups(self):
        """Gets the edit_groups of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The edit_groups of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._edit_groups

    @edit_groups.setter
    def edit_groups(self, edit_groups):
        """Sets the edit_groups of this PageSupervisorNamespaceContent.


        :param edit_groups: The edit_groups of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._edit_groups = edit_groups

    @property
    def edit_users(self):
        """Gets the edit_users of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The edit_users of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._edit_users

    @edit_users.setter
    def edit_users(self, edit_users):
        """Sets the edit_users of this PageSupervisorNamespaceContent.


        :param edit_users: The edit_users of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._edit_users = edit_users

    @property
    def endpoint_link(self):
        """Gets the endpoint_link of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The endpoint_link of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._endpoint_link

    @endpoint_link.setter
    def endpoint_link(self, endpoint_link):
        """Sets the endpoint_link of this PageSupervisorNamespaceContent.


        :param endpoint_link: The endpoint_link of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._endpoint_link = endpoint_link

    @property
    def external_link(self):
        """Gets the external_link of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The external_link of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._external_link

    @external_link.setter
    def external_link(self, external_link):
        """Sets the external_link of this PageSupervisorNamespaceContent.


        :param external_link: The external_link of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._external_link = external_link

    @property
    def id(self):
        """Gets the id of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The id of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this PageSupervisorNamespaceContent.


        :param id: The id of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def installer_id(self):
        """Gets the installer_id of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The installer_id of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._installer_id

    @installer_id.setter
    def installer_id(self, installer_id):
        """Sets the installer_id of this PageSupervisorNamespaceContent.


        :param installer_id: The installer_id of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._installer_id = installer_id

    @property
    def memory_used(self):
        """Gets the memory_used of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The memory_used of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: int
        """
        return self._memory_used

    @memory_used.setter
    def memory_used(self, memory_used):
        """Sets the memory_used of this PageSupervisorNamespaceContent.


        :param memory_used: The memory_used of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: int
        """

        self._memory_used = memory_used

    @property
    def name(self):
        """Gets the name of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The name of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this PageSupervisorNamespaceContent.


        :param name: The name of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def owner(self):
        """Gets the owner of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The owner of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._owner

    @owner.setter
    def owner(self, owner):
        """Sets the owner of this PageSupervisorNamespaceContent.


        :param owner: The owner of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._owner = owner

    @property
    def owner_groups(self):
        """Gets the owner_groups of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The owner_groups of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._owner_groups

    @owner_groups.setter
    def owner_groups(self, owner_groups):
        """Sets the owner_groups of this PageSupervisorNamespaceContent.


        :param owner_groups: The owner_groups of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._owner_groups = owner_groups

    @property
    def owner_users(self):
        """Gets the owner_users of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The owner_users of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._owner_users

    @owner_users.setter
    def owner_users(self, owner_users):
        """Sets the owner_users of this PageSupervisorNamespaceContent.


        :param owner_users: The owner_users of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._owner_users = owner_users

    @property
    def project_id(self):
        """Gets the project_id of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The project_id of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this PageSupervisorNamespaceContent.


        :param project_id: The project_id of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def registered(self):
        """Gets the registered of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The registered of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: bool
        """
        return self._registered

    @registered.setter
    def registered(self, registered):
        """Sets the registered of this PageSupervisorNamespaceContent.


        :param registered: The registered of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: bool
        """

        self._registered = registered

    @property
    def resource_quotas(self):
        """Gets the resource_quotas of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The resource_quotas of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: list[CmxapiresourcessupervisornamespacesnamespaceSelfLinkIdregisterResourceQuotas]
        """
        return self._resource_quotas

    @resource_quotas.setter
    def resource_quotas(self, resource_quotas):
        """Sets the resource_quotas of this PageSupervisorNamespaceContent.


        :param resource_quotas: The resource_quotas of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: list[CmxapiresourcessupervisornamespacesnamespaceSelfLinkIdregisterResourceQuotas]
        """

        self._resource_quotas = resource_quotas

    @property
    def self_link_id(self):
        """Gets the self_link_id of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The self_link_id of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._self_link_id

    @self_link_id.setter
    def self_link_id(self, self_link_id):
        """Sets the self_link_id of this PageSupervisorNamespaceContent.


        :param self_link_id: The self_link_id of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._self_link_id = self_link_id

    @property
    def status(self):
        """Gets the status of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The status of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._status

    @status.setter
    def status(self, status):
        """Sets the status of this PageSupervisorNamespaceContent.


        :param status: The status of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """
        allowed_values = ["READY", "ALLOCATED", "ERROR", "REMOVING"]  # noqa: E501
        if status not in allowed_values:
            raise ValueError(
                "Invalid value for `status` ({0}), must be one of {1}"  # noqa: E501
                .format(status, allowed_values)
            )

        self._status = status

    @property
    def status_message(self):
        """Gets the status_message of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The status_message of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._status_message

    @status_message.setter
    def status_message(self, status_message):
        """Sets the status_message of this PageSupervisorNamespaceContent.


        :param status_message: The status_message of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._status_message = status_message

    @property
    def storage_policies(self):
        """Gets the storage_policies of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The storage_policies of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: list[CmxapiresourcessupervisornamespacesStoragePolicies]
        """
        return self._storage_policies

    @storage_policies.setter
    def storage_policies(self, storage_policies):
        """Sets the storage_policies of this PageSupervisorNamespaceContent.


        :param storage_policies: The storage_policies of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: list[CmxapiresourcessupervisornamespacesStoragePolicies]
        """

        self._storage_policies = storage_policies

    @property
    def storage_used(self):
        """Gets the storage_used of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The storage_used of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: int
        """
        return self._storage_used

    @storage_used.setter
    def storage_used(self, storage_used):
        """Sets the storage_used of this PageSupervisorNamespaceContent.


        :param storage_used: The storage_used of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: int
        """

        self._storage_used = storage_used

    @property
    def type(self):
        """Gets the type of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The type of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this PageSupervisorNamespaceContent.


        :param type: The type of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def updated_millis(self):
        """Gets the updated_millis of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The updated_millis of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: int
        """
        return self._updated_millis

    @updated_millis.setter
    def updated_millis(self, updated_millis):
        """Sets the updated_millis of this PageSupervisorNamespaceContent.


        :param updated_millis: The updated_millis of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: int
        """

        self._updated_millis = updated_millis

    @property
    def utilisation(self):
        """Gets the utilisation of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The utilisation of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: dict(str, str)
        """
        return self._utilisation

    @utilisation.setter
    def utilisation(self, utilisation):
        """Sets the utilisation of this PageSupervisorNamespaceContent.


        :param utilisation: The utilisation of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: dict(str, str)
        """

        self._utilisation = utilisation

    @property
    def view_groups(self):
        """Gets the view_groups of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The view_groups of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._view_groups

    @view_groups.setter
    def view_groups(self, view_groups):
        """Sets the view_groups of this PageSupervisorNamespaceContent.


        :param view_groups: The view_groups of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._view_groups = view_groups

    @property
    def view_users(self):
        """Gets the view_users of this PageSupervisorNamespaceContent.  # noqa: E501


        :return: The view_users of this PageSupervisorNamespaceContent.  # noqa: E501
        :rtype: str
        """
        return self._view_users

    @view_users.setter
    def view_users(self, view_users):
        """Sets the view_users of this PageSupervisorNamespaceContent.


        :param view_users: The view_users of this PageSupervisorNamespaceContent.  # noqa: E501
        :type: str
        """

        self._view_users = view_users

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PageSupervisorNamespaceContent, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PageSupervisorNamespaceContent):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
